# RakNet::SerializeParameters Struct Reference
[ReplicaManager3]

`#include <ReplicaManager3.h>`

List of all members.

## Public Attributes
RakNet::BitStream | outputBitstream [RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]
RakNet::BitStream * | lastSentBitstream [RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]
RakNetTime | messageTimestamp
PRO | pro [RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]
RakNet::Connection_RM3 * | destinationConnection
| Passed to RakPeerInterface::Send().
BitSize_t | bitsWrittenSoFar
RakNetTime | whenLastSerialized
RakNetTime | curTime

## Detailed Description

Parameters passed to Replica3::Serialize()

## Member Data Documentation

BitSize_t RakNet::SerializeParameters::bitsWrittenSoFar

For prior serializations this tick, for the same connection, how many bits have we written so far? Use this to limit how many objects you send to update per-tick if desired

RakNetTime RakNet::SerializeParameters::curTime

Current time, in milliseconds. curTime - whenLastSerialized is how long it has been since this object was last sent

RakNet::BitStream* RakNet::SerializeParameters::lastSentBitstream[RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]

Last bitstream we sent for this replica to this system. Read, but DO NOT MODIFY

RakNetTime RakNet::SerializeParameters::messageTimestamp

Set to non-zero to transmit a timestamp with this message. Defaults to 0 Use RakNet::GetTime() for this

RakNet::BitStream RakNet::SerializeParameters::outputBitstream[RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]

Write your output for serialization here If nothing is written, the serialization will not occur Write to any or all of the NUM_OUTPUT_BITSTREAM_CHANNELS channels available. Channels can hold independent data

PRO RakNet::SerializeParameters::pro[RM3_NUM_OUTPUT_BITSTREAM_CHANNELS]

Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketPriority(). Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketReliability(). Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultOrderingChannel().

RakNetTime RakNet::SerializeParameters::whenLastSerialized

When this object was last serialized to the connection 0 means never

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/Source/ReplicaManager3.h